## octave-tablicious 0.4.5

=== debian/changelog ===
octave-tablicious (0.4.5-4) unstable; urgency=medium

  * d/p/info-dir-section.patch: Add Forwarded URL
  * d/p/tzinfo-endianness.patch: Add patch (fix FTBFS in big-endian
    systems)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Feb 2026 05:18:36 +0000

octave-tablicious (0.4.5-3) unstable; urgency=medium

  * d/copyright: Add lacking license terms
  * d/control:
    + Bump Standards-Version to 4.7.3
    + Drop the redundant Priority field, which defaults to optional
      now

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Feb 2026 12:26:17 +0000

octave-tablicious (0.4.5-2) unstable; urgency=medium

  * d/copyright:
    + Add stanza for file windowsZones.xml
    + Fix path of windowsZones files
    + Add Copyright and license for the inst/t/* files
  * d/salsa-ci.yml: Add pipeline required by the NEW Gateway
  * d/control:
    + Build-depend on tzdata
    + Harmonize the Description title with thosce of the other OF packages
  * d/rules: Move README files into /usr/share/doc. This avoids the
    Lintian warnings package-contains-documentation-outside-usr-share-doc.
  * d/p/info-dir-section.patch: New patch (add dir section to the info file)
  * d/s/lintian-overrides: New file (override Lintian warnings
    source-is-missing and very-long-line-length-in-source-file)
  * Put architecture-independent files in octave-tablicious-common package
  * Build and install the documentation

 -- Rafael Laboissière <rafael@debian.org>  Sat, 13 Dec 2025 12:42:39 -0300

octave-tablicious (0.4.5-1) unstable; urgency=medium

  * Initial release (closes: #1117050)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 03 Oct 2025 01:38:42 -0300
