=== debian/watch ===
Version: 5

Template: Github
Owner: apjanke
Project: octave-tablicious
