## octave-tablicious 0.4.6

=== DESCRIPTION ===
Name: tablicious
Version: 0.4.6
Date: 2026-02-16
Title: Tablicious - Tabular/Relational data for GNU Octave
Author: Andrew Janke <floss@apjanke.net>
Maintainer: Andrew Janke <floss@apjanke.net>
Description: Matlab-compatible Octave table class for storing tabular/relational
  data, with supporting string, datetime, and categorical classes. Also similar
  to R and Python Pandas DataFrames.
License: GPLv3+
Problems: Implementation is not complete. Code quality is mediocre.
Url: https://github.com/apjanke/octave-tablicious
Categories: data manipulation, statistics
