=== debian/changelog ===
octave-tablicious (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * Drop patches (applied upstream):
    + d/p/tzinfo-endianness.patch
    + d/p/info-dir-section.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Thu, 19 Feb 2026 15:27:14 +0000
