=== debian/control ===
Source: octave-tablicious
Section: math
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               libmoose-perl <!nodoc>,
               qtchooser <!nodoc>,
               qttools5-dev-tools <!nodoc>,
               texlive-plain-generic <!nodoc>,
               tzdata <!nocheck>
Standards-Version: 4.7.3
Homepage: https://gnu-octave.github.io/packages/tablicious/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-tablicious.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-tablicious
Testsuite: autopkgtest-pkg-octave

Package: octave-tablicious
Architecture: any
Depends: ${misc:Depends},
         ${octave:Depends},
         ${shlibs:Depends},
         octave-tablicious-common (= ${source:Version})
Description: tablicious package for GNU Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-tablicious-common
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: tablicious package for GNU Octave (arch-indep files)
 ${octave:Upstream-Description}
 .
 This package contains the architecture-independent files for the
 octave-tablicious package.
