=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep:
	make -C doc
endif

sharedir = debian/octave-tablicious-common/usr/share
pkgdir = $(sharedir)/octave/packages/tablicious-*
docdir = $(sharedir)/doc/octave-tablicious-common
execute_after_dh_installdeb-indep:
	mv $(pkgdir)/+tblish/+internal/+chrono/+tzinfo/resources/windowsZones/README	\
	   $(docdir)/README-windowsZones
	mv $(pkgdir)/t/00_README.txt	\
	   $(docdir)/README-tests

execute_after_dh_clean:
	make -C doc maintainer-clean
