## octave-tablicious 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: tablicious
-Version: 0.4.6
-Date: 2026-02-16
+Version: 0.4.7
+Date: 2026-02-28
 Title: Tablicious - Tabular/Relational data for GNU Octave
 Author: Andrew Janke <floss@apjanke.net>
 Maintainer: Andrew Janke <floss@apjanke.net>
