=== debian/changelog ===
octave-tablicious (0.4.7-1) unstable; urgency=medium

  * New upstream version 0.4.7

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Mar 2026 17:16:11 +0000
